Description

It seems that Rich TextView menu bar is created in a wrong way...

Should be(CtrlLib/RichTextView.cpp - line 111):

void RichTextView::RightDown(Point p, dword keyflags){

    MenuBar b;

    b.Add(t_("Copy"), CtrlImg::copy(), THISBACK).Key(K_CTRL_C);

    b.Execute();

}

History

#1 - 12/29/2013 02:12 PM - Zbigniew Rebacz

Preformated code:

void RichTextView::RightDown(Point p, dword keyflags)

{

    MenuBar b;

    b.Add(t_("Copy"), CtrlImg::copy(), THISBACK(Copy)).Key(K_CTRL_C);

    b.Execute();

}

    -  adding "code class="cpp"" after pre makes cpp highlight trick in redmine.

#2 - 12/29/2013 02:16 PM - Zbigniew Rebacz

- File deleted (RichTextView.cpp)

#3 - 12/29/2013 02:17 PM - Zbigniew Rebacz

- File RichTextView.cpp added

We can also add additional operation locking code:

b.Add(t_("Copy"), CtrlImg::copy(), THISBACK(Copy)).Key(K_CTRL_C).Enable(cursor != anchor);

#4 - 12/31/2013 04:55 PM - Zbigniew Rebacz

- Status changed from New to Patch ready

#5 - 01/06/2014 04:24 PM - Miroslav Fidler
- Status changed from Patch ready to Approved
RichTextView.cpp 9.71 KB 12/29/2013 Zbigniew Rebacz
